Problemi Java con DT su Catalina

Tutto sul Desktop Telematico, sui problemi e sulle soluzioni.

Moderatore: ModiMaccanici

Claudio_Salimbeni
Stato: Non connesso
Nuovo Maccanico
Nuovo Maccanico
Iscritto il: mer, 16 set 2020 17:38
Messaggi: 4

Top

Oggetto del messaggio: Problemi Java con DT su Catalina

Messaggio da Claudio_Salimbeni »

Ciao a tutti,
ho bisogno di installare DT per inviare la mia dichiarazione ma non riesco proprio.
Quando tento di avviale l'App mi dice che vuole il runtime Java SE 6 Legacy.
Io sulla macchina ho installato la versione 8 aggiornamento 261.

Ovviamente se cerco di installare la SE 6 mi dice che c'è una versione più recente.
Mi rimane l'ultimo tentativo di disinstallazione della 8 e installazione della 6 SE.

Mi aspetto che l'applicazione per la generazione della dichiarazione dei redditi non funzioni più o che mi imponga di installare l'ultima versione di Java.

Ma è mai possibile che SOGEI non possa organizzare una applicazione che faccia a meno di Java ??
Ne se ne può più.

Qualcuno ha avuto questo problema e l'ha anche risolto?
grazie

PS: ho provato a chiamare l'assistenza ma dopo aver premuto tutti i tasti del telefono mi buttano giu dicendo che i loro specialisti sono tutti occupati.
PS2: specialisti de che?
PS3: non c'è modo di usare file internet senza DT?

Avatar utente
faxus
Stato: Non connesso
Pro-Expert 
Pro-Expert 
Avatar utente
Iscritto il: lun, 02 giu 2014 15:12
Messaggi: 30459
Località: Circondato dalle bufale

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da faxus »

Benvenuto.

Se vuoi presentarti alla comunità puoi farlo da
http://www.imaccanici.org/forum/viewforum.php?f=30
Saremo in tanti a salutarti.


Supponendo che DT voglia dire Desktop Telematico
(va scritto un nome comprensibile a tutti, se vuoi che qualcuno ti risponda)

Hai provato a fare una ricerca sul Forum prima di fare una domanda?

https://www.google.com/search?ie=UTF-8& ... Telematico

Avatar utente
charlie
Stato: Non connesso
Open Office Expert
Open Office Expert
Avatar utente
Iscritto il: sab, 02 mar 2013 15:04
Messaggi: 777

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da charlie »

Claudio_Salimbeni ha scritto:
mer, 16 set 2020 17:50
PS3: non c'è modo di usare file internet senza DT?
Dipende da quale operazione devi fare. Alcune funzioni DT sono possibili anche on-line, direttamente sul sito dell'A.d.E.
Se la tua dichiarazione è su 730 oppure su modello PF, è senz'altro possibile.
Charlie
iMac 27" metà 2011- SSD 525 GB - 12 GB RAM - macOS 10.12.6 Sierra

http://www.charlieopenoffice.altervista.org" onclick="window.open(this.href);return false;

Avatar utente
Paolofast
Stato: Non connesso
Expert
Expert
Avatar utente
Iscritto il: dom, 07 gen 2018 20:00
Messaggi: 3552

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da Paolofast »

Claudio_Salimbeni ha scritto:
mer, 16 set 2020 17:50
Ovviamente se cerco di installare la SE 6 mi dice che c'è una versione più recente.
NON devi installare la SE 6 di Oracle, ma una versione specifica di Apple, che si affianca alle versioni Oracle successive.

La scarichi da qui:

https://support.apple.com/kb/DL1572?vie ... cale=it_IT
*
*
Se installando Yosemite, El Capitan, Sierra, High Sierra, Mojave o Catalina, il Mac vi dice che l'installer è danneggiato, non è danneggiato, ha il certificato scaduto. Leggete qui:
viewtopic.php?f=33&t=46076
In pratica o scarichi l'installer aggiornato o modifichi la data nell'orologio del Mac.

Alberto.G
Stato: Non connesso
Maccanico attivo
Maccanico attivo
Iscritto il: dom, 22 gen 2017 20:34
Messaggi: 431

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da Alberto.G »

Claudio_Salimbeni ha scritto:
mer, 16 set 2020 17:50
Ciao a tutti,
...
Qualcuno ha avuto questo problema e l'ha anche risolto?
grazie
...
Ciao Claudio, devi procedere in questo modo:
- non puoi installare direttamente dal sito Apple la Java 6 Runtime legacy perché Catalina non lo consente più (dice infatti che è presente sul volume una versione più recente)
- devi scaricarla da questo link che contiene la cartella 1.6.0.jdk.zip (che è zippata)

https://drive.google.com/file/d/1Yde6xQ ... sp=sharing

- una volta che la cartella è stata disimpaccata (o decompressa), con copia e incolla va caricata sul percorso: volume di sistema/Libreria/Java/JavaVirtualMachines/
- ora puoi aprire di nuovo il Desktop Telematico
- attenzione però che Catalina avverte che non puoi aprire questo software perché non può essere verificato
- esci cliccando su <Annulla>
- apri ancora il D.T. e questa volta, pur segnalando che ancora il software non può essere verificato, clicchi su <Apri> ed il DesktopTelematico si aprirà perfettamente sotto Catalina
- a questo punto puoi seguire le indicazioni che ti vengono proposte.

P.S.- Non serve disinstallare la Java 8u261 in quanto non viene utilizzata dal D.T. perché questo applicativo ha già incorporato altra versione di Java.

RickS
Stato: Non connesso
Stella nascente
Stella nascente
Iscritto il: dom, 04 mag 2008 19:42
Messaggi: 505

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da RickS »

Lo chiedo per un amico che sui problemi di installazione e funzionamento del desktop telematico ci impazzito per una settimana prima che io lo indirizzassi su questo forum per trovare la soluzione, Ma si sa quando l'aggiorneranno il Desktop Telematico per evitare tutto questo ?
Perché anche su windows 10 i problemi derivanti dalle varie versioni di Java che si possono aver installato sono parecchi.

Avatar utente
Paolofast
Stato: Non connesso
Expert
Expert
Avatar utente
Iscritto il: dom, 07 gen 2018 20:00
Messaggi: 3552

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da Paolofast »

Alberto.G ha scritto:
gio, 17 set 2020 01:22
non puoi installare direttamente dal sito Apple la Java 6 Runtime legacy perché Catalina non lo consente più (dice infatti che è presente sul volume una versione più recente)
- devi scaricarla da questo link che contiene la cartella 1.6.0.jdk.zip (che è zippata)…
Grazie.
Non avendo Catalina non lo sapevo.
Scaricata (con istruzioni) per eventuali future evenienze.
Vale anche per Big Sur (Intel, ovviamente)?
*
*
Se installando Yosemite, El Capitan, Sierra, High Sierra, Mojave o Catalina, il Mac vi dice che l'installer è danneggiato, non è danneggiato, ha il certificato scaduto. Leggete qui:
viewtopic.php?f=33&t=46076
In pratica o scarichi l'installer aggiornato o modifichi la data nell'orologio del Mac.

Alberto.G
Stato: Non connesso
Maccanico attivo
Maccanico attivo
Iscritto il: dom, 22 gen 2017 20:34
Messaggi: 431

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da Alberto.G »

Paolofast ha scritto:
gio, 17 set 2020 09:54
Alberto.G ha scritto:
gio, 17 set 2020 01:22
...
Vale anche per Big Sur (Intel, ovviamente)?
Vedremo…
Ormai mi aspetto di tutto dai sistemi operativi sul Mac.
Certamente né Apple né Sogei sono esenti da pecche.
Una che ora controlla tutto, l’altra invece che non si adegua ai controlli imposti dalla prima!

Alberto.G
Stato: Non connesso
Maccanico attivo
Maccanico attivo
Iscritto il: dom, 22 gen 2017 20:34
Messaggi: 431

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da Alberto.G »

RickS ha scritto:
gio, 17 set 2020 08:25
...
Ma si sa quando l'aggiorneranno il Desktop Telematico per evitare tutto questo ?
...
La vedo dura riguardo ad un aggiornamento generale del Desktop Telematico!
Penso che la Società Sogei (proprietaria dell’applicativo) ritenga ormai consolidata l’attuale versione 4.3 del D.T. e procede, di volta in volta, a rilasciare gli aggiornamenti relativi a tutte le modifiche introdotte dall’ordinamento fiscale.
Per quanto riguarda le mie necessità fiscali, limitate alla sola dichiarazione dei redditi PF, il Desktop Telematico mi va più che bene, non incontrando, da alcuni anni, gravi criticità che mi abbiamo impedito di inviare la mia dichiarazione.
Ovviamente è mia cura tenere sempre aggiornato il D.T.

Claudio_Salimbeni
Stato: Non connesso
Nuovo Maccanico
Nuovo Maccanico
Iscritto il: mer, 16 set 2020 17:38
Messaggi: 4

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da Claudio_Salimbeni »

Alberto.G ha scritto:
gio, 17 set 2020 01:22
Claudio_Salimbeni ha scritto:
mer, 16 set 2020 17:50
Ciao a tutti,
...
Qualcuno ha avuto questo problema e l'ha anche risolto?
grazie
...
Ciao Claudio, devi procedere in questo modo:
- non puoi installare direttamente dal sito Apple la Java 6 Runtime legacy perché Catalina non lo consente più (dice infatti che è presente sul volume una versione più recente)
- devi scaricarla da questo link che contiene la cartella 1.6.0.jdk.zip (che è zippata)

https://drive.google.com/file/d/1Yde6xQ ... sp=sharing

- una volta che la cartella è stata disimpaccata (o decompressa), con copia e incolla va caricata sul percorso: volume di sistema/Libreria/Java/JavaVirtualMachines/
- ora puoi aprire di nuovo il Desktop Telematico
- attenzione però che Catalina avverte che non puoi aprire questo software perché non può essere verificato
- esci cliccando su <Annulla>
- apri ancora il D.T. e questa volta, pur segnalando che ancora il software non può essere verificato, clicchi su <Apri> ed il DesktopTelematico si aprirà perfettamente sotto Catalina
- a questo punto puoi seguire le indicazioni che ti vengono proposte.

P.S.- Non serve disinstallare la Java 8u261 in quanto non viene utilizzata dal D.T. perché questo applicativo ha già incorporato altra versione di Java.
Grazie Alberto.
A parte una piccola variante per quanto riguarda l'autorizzazione all'esecuzione è andato tutto come hai descritto.
Desktop è partito e posso operare.
Rimane comunque lo stupore per l'obsolescenza di questi software che dovrebbero facilitare la vita ai contribuenti. Ero stracontento del lavoro fatto con UNICOweb ma ho dovuto tornare su questi applicativi Java che mi fanno disperare.
Chissà se ce la faremo ad avere dei servizi informatici per la nostra amministrazione adeguati ai tempi.
Grazie ancora

Claudio_Salimbeni
Stato: Non connesso
Nuovo Maccanico
Nuovo Maccanico
Iscritto il: mer, 16 set 2020 17:38
Messaggi: 4

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da Claudio_Salimbeni »

faxus ha scritto:
mer, 16 set 2020 19:03
Benvenuto.

Se vuoi presentarti alla comunità puoi farlo da
http://www.imaccanici.org/forum/viewforum.php?f=30
Saremo in tanti a salutarti.


Supponendo che DT voglia dire Desktop Telematico
(va scritto un nome comprensibile a tutti, se vuoi che qualcuno ti risponda)

Hai provato a fare una ricerca sul Forum prima di fare una domanda?

https://www.google.com/search?ie=UTF-8& ... Telematico
Ciao Faxus
seguirò il tuo invito e mi presenterò.

Per quanto riguarda l'abbreviazione DT per indicare il Desktop Telematico ero convinto di avere fatto una domanda nel thread "Desktop Informatico" e di aver usato un acronimo di uso comune. Mi spiace di aver frainteso. Cercherò di stare più attento la prossima volta.

La ricerca delle informazioni su internet è una delle cose che faccio giornalmente.
Prima di postare la mia domanda ho cercato più volte di individuare il mio problema fra quelli postati in precedenza.
Come hai potuto vedere non ho trovato nulla di simile e quindi mi sono "azzardato" a fare la domanda. Questo, ovviamente, non vuol dire che non ci fosse già qualcuno che aveva risolto. Purtroppo io e Java non andiamo d'accordo senza contare che sentire solo il nome Sogesi i miei occhi si iniettano di sangue. Questo per dire che il tema mi è un pò ostico.
Quindi perdonami se ho fatto una domanda già postata rivolgendomi al forum dove posso trovare persone più competenti di me.

A presto.

Claudio_Salimbeni
Stato: Non connesso
Nuovo Maccanico
Nuovo Maccanico
Iscritto il: mer, 16 set 2020 17:38
Messaggi: 4

Top

Oggetto del messaggio: Re: Problemi Java con DT su Catalina

Messaggio da Claudio_Salimbeni »

Paolofast ha scritto:
mer, 16 set 2020 22:28
Claudio_Salimbeni ha scritto:
mer, 16 set 2020 17:50
Ovviamente se cerco di installare la SE 6 mi dice che c'è una versione più recente.
NON devi installare la SE 6 di Oracle, ma una versione specifica di Apple, che si affianca alle versioni Oracle successive.

La scarichi da qui:

https://support.apple.com/kb/DL1572?vie ... cale=it_IT
Quella è la fonte del problema.
Ho risolto con Alberto
Grazie